"use strict";Object.defineProperty(exports, "__esModule", {value: true});var __assign = Object.assign;

// src/injectHtml.ts
var _ejs = require('ejs');
function injectHtml(options = {}) {
  return {
    name: "vite:injectHtml",
    transformIndexHtml: {
      enforce: "pre",
      transform(html) {
        const {injectData = {}, injectOptions = {}, tags = []} = options;
        return {
          html: _ejs.render.call(void 0, html, injectData, injectOptions),
          tags
        };
      }
    }
  };
}

// src/minifyHtml.ts
var _htmlminifierterser = require('html-minifier-terser');
function minifyHtml(minifyOptions = true) {
  return {
    name: "vite:minifyHtml",
    transformIndexHtml: {
      enforce: "post",
      transform(html) {
        if (!minifyOptions) {
          return html;
        }
        const defaultMinifyOptions = __assign({
          collapseBooleanAttributes: true,
          collapseWhitespace: true,
          minifyCSS: true,
          minifyJS: true,
          minifyURLs: true,
          removeAttributeQuotes: true,
          removeComments: true,
          removeEmptyAttributes: true
        }, typeof minifyOptions === "boolean" ? {} : minifyOptions);
        return _htmlminifierterser.minify.call(void 0, html, defaultMinifyOptions);
      }
    }
  };
}

// src/index.ts
var src_default = (options = {}) => {
  const {inject = {}, minify: minify2 = {}} = options;
  return [injectHtml(inject), minifyHtml(minify2)];
};




exports.default = src_default; exports.injectHtml = injectHtml; exports.minifyHtml = minifyHtml;
